All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::property_tree Class Referenceabstract

`#include <property_tree.hpp>`

Inheritance diagram for uhd::property_tree:

## Public Types

typedef boost::shared_ptr < property_tree > | sptr

## Public Member Functions

virtual sptr | subtree (const fs_path &path) const =0
| Get a subtree with a new root starting at path. More...
virtual void | remove (const fs_path &path)=0
| Remove a property or directory (recursive) More...
virtual bool | exists (const fs_path &path) const =0
| True if the path exists in the tree. More...
virtual std::vector< std::string > | list (const fs_path &path) const =0
| Get an iterable to all things in the given path. More...
template<typename T >
property< T > & | create (const fs_path &path)
| Create a new property entry in the tree. More...
template<typename T >
property< T > & | access (const fs_path &path)
| Get access to a property in the tree. More...

## Static Public Member Functions

static sptr | make (void)
| Create a new + empty property tree. More...

## Detailed Description

The property tree provides a file system structure for accessing properties.

## Member Typedef Documentation

typedef boost::shared_ptr<property_tree> uhd::property_tree::sptr

## Member Function Documentation

template<typename T >

property<T>& uhd::property_tree::access | ( | const fs_path & | path | ) |

Get access to a property in the tree.

template<typename T >

property<T>& uhd::property_tree::create | ( | const fs_path & | path | ) |

Create a new property entry in the tree.

virtual bool uhd::property_tree::exists | ( | const fs_path & | path | ) | const

pure virtual

True if the path exists in the tree.

virtual std::vector<std::string> uhd::property_tree::list | ( | const fs_path & | path | ) | const

pure virtual

Get an iterable to all things in the given path.

static sptr uhd::property_tree::make | ( | void |  | ) |

static

Create a new + empty property tree.

virtual void uhd::property_tree::remove | ( | const fs_path & | path | ) |

pure virtual

Remove a property or directory (recursive)

virtual sptr uhd::property_tree::subtree | ( | const fs_path & | path | ) | const

pure virtual

Get a subtree with a new root starting at path.

The documentation for this class was generated from the following file:

- include/uhd/property_tree.hpp